Bug 1412376 (CVE-2017-2585)

Summary: CVE-2017-2585 keycloak: timing attack in JWS signature verification
Product: [Other] Security Response Reporter: Chess Hazlett <chazlett>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: avibelli, chazlett, drusso, gsterlin, jbalunas, jmrazek, jshepherd, rrajasek, security-response-team, tkirby
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: keycloak 2.5.1 Doc Type: If docs needed, set a value
Doc Text:
It was found that keycloak's implementation of HMAC verification for JWS tokens uses a method that runs in non-constant time, potentially leaving the application vulnerable to timing attacks.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-21 11:48:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1412373, 1438536    

Description Chess Hazlett 2017-01-11 21:40:33 UTC
Keycloak implented HMAC verification using a comparison method that does not operate in constant time. This potentially leaves the application open to timing attacks.

Comment 2 Chess Hazlett 2017-01-11 21:51:33 UTC
Acknowledgments:

Name: Richard Kettelerij (Mindloops)

Comment 3 errata-xmlrpc 2017-04-04 17:16:27 UTC
This issue has been addressed in the following products:



Via RHSA-2017:0876 https://access.redhat.com/errata/RHSA-2017:0876

Comment 4 errata-xmlrpc 2017-04-04 17:27:38 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.1 for RHEL 7

Via RHSA-2017:0873 https://access.redhat.com/errata/RHSA-2017:0873

Comment 5 errata-xmlrpc 2017-04-04 17:28:01 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.1 for RHEL 6

Via RHSA-2017:0872 https://access.redhat.com/errata/RHSA-2017:0872